

#include "BUILTIN.h"
extern OBJ _ACom_23(OBJ);extern OBJ __ACom_23;
extern OBJ __ASeq_6;

#include "Nat.h"
extern OBJ _AComCompose_5(OBJ,OBJ);extern OBJ __AComCompose_5;
extern OBJ _AComSeqMap_3(OBJ,OBJ);OBJ __AComSeqMap_3; /* *& */
extern OBJ _AComSeqMap_4(OBJ);OBJ __AComSeqMap_4; /* *&'4 */
extern OBJ _AComSeqMap_5(OBJ,OBJ);OBJ __AComSeqMap_5; /* *&'5 */
extern OBJ _AComSeqMap_6(OBJ,OBJ,OBJ);OBJ __AComSeqMap_6; /* *&'6 */

extern OBJ _AComSeqMap_3(OBJ x1,OBJ x2) /* *& */
{OBJ r;
 if(ISPRM(x2)){
  FRCLS(x1,1);
  CPCLS(__AComSeqMap_4,1);
  r=(*(OBJ(*)(OBJ,OBJ))METHOD(__AComSeqMap_4,1))(__AComSeqMap_4,__ABUILTIN_20);
 }else{
  {OBJ x22=FLD1(x2,1);OBJ x23=FLD1(x2,2);
   if(EXPRD(x2,1)){
    DSPRDF(x2);
   }else{
    COPY(x22,1);COPY(x23,1);
    FRPRD(x2,1);}
   CPCLS(x1,1);
   CPCLS(__AComSeqMap_6,1);
   {OBJ x25;OBJ x26;
    x25=(*(OBJ(*)(OBJ,OBJ))METHOD(x1,1))(x1,x22);
    x26=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AComSeqMap_6,2))(__AComSeqMap_6,x1,x23);
    r=_AComCompose_5(x25,x26);}}}
 return r;}

extern OBJ _AComSeqMap_4(OBJ x1) /* *&'4 */
{OBJ r;
 r=_ACom_23(__ASeq_6);
 return r;}

extern OBJ _AComSeqMap_5(OBJ x1,OBJ x2) /* *&'5 */
{OBJ r;
 {OBJ x3;
  PRD1(2,x3);FLD1(x3,1)=x1;FLD1(x3,2)=x2;
  r=_ACom_23(x3);}
 return r;}

extern OBJ _AComSeqMap_6(OBJ x1,OBJ x2,OBJ x3) /* *&'6 */
{OBJ r;
 CPCLS(__AComSeqMap_5,1);
 {OBJ x4;OBJ x5;
  x4=_AComSeqMap_3(x1,x2);
  x5=(*(OBJ(*)(OBJ,OBJ))METHOD(__AComSeqMap_5,1))(__AComSeqMap_5,x3);
  r=_AComCompose_5(x4,x5);}
 return r;}

init_AComSeqMap()
{
 static int visited=0; if(visited) return; visited=1;
 init_ACom();
 init_ASeq();
 init_ANat();
 init_AOption();
 init_AVoid();
 init_AComCompose();
 init_ASeqMap();
 CLS(3,_AComSeqMap_6,__AComSeqMap_6);
 CLS(2,_AComSeqMap_5,__AComSeqMap_5);
 LCLS(1,_AComSeqMap_4,__AComSeqMap_4);
 CLS(2,_AComSeqMap_3,__AComSeqMap_3);}

